Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`client`.`BrowserLikePolicyForHTTPS``

class documentation

`class BrowserLikePolicyForHTTPS: (source)`

Constructor: `BrowserLikePolicyForHTTPS(trustRoot)`

Implements interfaces: `twisted.web.iweb.IPolicyForHTTPS`

View In Hierarchy

SSL connection creator for web clients.

Method | `__init__` | Undocumented
Method | `creatorForNetloc` | Create a `client connection creator` for a given network location.
Instance Variable | `_trustRoot` | Undocumented

def __init__(self, trustRoot=None): (source)

Undocumented

@_requireSSL
def creatorForNetloc(self, hostname, port): (source)
from `twisted.web.iweb.IPolicyForHTTPS`

Create a `client connection creator` for a given network location.

Parameters
hostname:`bytes` | The hostname part of the URI.
port:`int` | The port part of the URI.
Returns
`client connection creator` | a connection creator with appropriate verification restrictions set

_trustRoot = (source)

Undocumented